Skip to main content
GET
/
v0
/
assets
/
{asset_id}
Get asset by ID
curl --request GET \
  --url https://api.tryarchitect.com/v0/assets/{asset_id} \
  --header 'x-api-key: <api-key>'
{
  "assetId": "<string>",
  "tenantId": "<string>",
  "name": "<string>",
  "purpose": "<string>",
  "tags": [
    "<string>"
  ],
  "aiDescription": "<string>",
  "parentAssetId": "<string>",
  "hidden": true,
  "data": {
    "type": "<string>",
    "fileId": "<string>"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "trashedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "lifecycleState": "active",
  "downloadUrl": "<string>",
  "previewDownloadUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://architect-d889a35e-sync-pr-3380.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

asset_id
string
required

asset_id parameter

Response

Asset created successfully

assetId
string
required
tenantId
string
required
name
string
required
purpose
string
required
tags
string[]
required
aiDescription
string | null
required
parentAssetId
string | null
required
hidden
boolean
required
data
object
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
trashedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
deletedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
lifecycleState
enum<string>
required
Available options:
active,
trashed,
deleted
downloadUrl
string | null
required
previewDownloadUrl
string | null
required